/* Copyright (C) RSA Data Security, Inc. created 1994.

   This file is used to demonstrate how to interface to an
   RSA Data Security, Inc. licensed development product.

   You have a royalty-free right to use, modify, reproduce and
   distribute this demonstration file (including any modified
   version), provided that you agree that RSA Data Security,
   Inc. has no warranty, implied or otherwise, or liability
   for this demonstration file or any modified version.
 */

#ifndef _BSLITEDS_H_
#define _BSLITEDS_H_ 1

int  BSL_MakeDSAKeyPairFromSeed PROTO_LIST
  ((unsigned char *, unsigned int *, unsigned char *, unsigned int *,
    unsigned int, unsigned char *, unsigned int *, unsigned int, unsigned int,
    unsigned int, unsigned int, unsigned int, unsigned int, unsigned int,
    unsigned char *, unsigned int, unsigned char *, unsigned int));

int  BSL_SHAWithDSASignInit PROTO_LIST
  ((B_ALGORITHM_OBJ *, unsigned char *, unsigned int,
    unsigned char *, unsigned int, unsigned char *, unsigned int));

int  BSL_SHAWithDSASignUpdate PROTO_LIST
  ((B_ALGORITHM_OBJ *, unsigned char *, unsigned int));

int  BSL_SHAWithDSASignFinal PROTO_LIST
  ((B_ALGORITHM_OBJ *, unsigned char *, unsigned int *, unsigned int,
    B_ALGORITHM_OBJ));

int  BSL_SHAWithDSAVerifyInit PROTO_LIST
  ((B_ALGORITHM_OBJ *, unsigned char *, unsigned int));

int  BSL_SHAWithDSAVerifyUpdate PROTO_LIST
  ((B_ALGORITHM_OBJ *, unsigned char *, unsigned int));

int  BSL_SHAWithDSAVerifyFinal PROTO_LIST
  ((B_ALGORITHM_OBJ *, unsigned char *, unsigned int));

/* BSL file interface */
int BSL_SHAWithDSASignFile PROTO_LIST
  ((char *, char *, unsigned char *, unsigned int, unsigned char *,
    unsigned int, unsigned char *, unsigned int, unsigned char *,
    unsigned int));

int BSL_SHAWithDSAVerifyFile PROTO_LIST
  ((char *, char *, unsigned char *, unsigned int));

#endif
